JUCE: PropertyComponent::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PropertyComponent::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » properties

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_PropertyComponent.h>`

Inheritance diagram for PropertyComponent::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawPropertyPanelSectionHeader (Graphics &, const String &name, bool isOpen, int width, int height)=0
virtual void | drawPropertyComponentBackground (Graphics &, int width, int height, PropertyComponent &)=0
virtual void | drawPropertyComponentLabel (Graphics &, int width, int height, PropertyComponent &)=0
virtual Rectangle< int > | getPropertyComponentContentPosition (PropertyComponent &)=0
virtual int | getPropertyPanelSectionHeaderHeight (const String &sectionTitle)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual PropertyComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawPropertyPanelSectionHeader()

virtual void PropertyComponent::LookAndFeelMethods::drawPropertyPanelSectionHeader | ( | Graphics & | ,
|  | const String & | name,
|  | bool | isOpen,
|  | int | width,
|  | int | height )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ drawPropertyComponentBackground()

virtual void PropertyComponent::LookAndFeelMethods::drawPropertyComponentBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | PropertyComponent & | )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ drawPropertyComponentLabel()

virtual void PropertyComponent::LookAndFeelMethods::drawPropertyComponentLabel | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | PropertyComponent & | )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getPropertyComponentContentPosition()

virtual Rectangle< int > PropertyComponent::LookAndFeelMethods::getPropertyComponentContentPosition | ( | PropertyComponent & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getPropertyPanelSectionHeaderHeight()

virtual int PropertyComponent::LookAndFeelMethods::getPropertyPanelSectionHeaderHeight | ( | const String & | sectionTitle | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_PropertyComponent.h